org.omg.CORBA.portable

## Class ApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.portable.ApplicationException

All Implemented Interfaces:
  Serializable

    public class ApplicationException
    extends Exception

This class is used for reporting application level exceptions between ORBs and stubs.

### Constructor Summary

Constructors
Constructor and Description
`ApplicationException(String id, InputStream ins)` Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.

### Method Summary

Methods
`String` `getId()` Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.
`InputStream` `getInputStream()` Returns the input stream from which the exception data can be read as its parameters.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationException

    public ApplicationException(String id,
                        InputStream ins)

Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.

Parameters:
  `id` - the repository id of the user exception
  `ins` - the stream which contains the user exception data

### Method Detail

#### getId

    public String getId()

Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.

Returns:
  The CORBA repository ID of this exception

#### getInputStream

    public InputStream getInputStream()

Returns the input stream from which the exception data can be read as its parameters.

Returns:
  The stream which contains the user exception data

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.